

        Assets = 
{
        Asset( "IMAGE", "minimap/moose.tex" ),
        Asset( "ATLAS", "minimap/moose.xml" ),	
        Asset( "IMAGE", "minimap/bearger.tex" ),
        Asset( "ATLAS", "minimap/bearger.xml" ),
        Asset( "IMAGE", "minimap/dragonfly.tex" ),
        Asset( "ATLAS", "minimap/dragonfly.xml" ),
        Asset( "IMAGE", "minimap/deerclops.tex" ),
        Asset( "ATLAS", "minimap/deerclops.xml" ),
        Asset( "IMAGE", "minimap/leif.tex" ),
        Asset( "ATLAS", "minimap/leif.xml" ),
        Asset( "IMAGE", "minimap/spiderqueen.tex" ),
        Asset( "ATLAS", "minimap/spiderqueen.xml" ),
        Asset( "IMAGE", "minimap/leif_sparse.tex" ),
        Asset( "ATLAS", "minimap/leif_sparse.xml" ),
}

local moose = (GetModConfigData("moose")=="true")
local bearger = (GetModConfigData("bearger")=="true")
local dragonfly = (GetModConfigData("dragonfly")=="true")
local deerclops = (GetModConfigData("deerclops")=="true")
local leif= (GetModConfigData("leif")=="true")
local spiderqueen = (GetModConfigData("spiderqueen")=="true")
local leif_sparse = (GetModConfigData("leif_sparse")=="true")


function AddMap(inst)
        local minimap = inst.entity:AddMiniMapEntity()
        minimap:SetIcon( inst.prefab .. ".tex" )
end
        if moose then AddMinimapAtlas("minimap/moose.xml")
end
        if bearger then AddMinimapAtlas("minimap/bearger.xml")
end
        if dragonfly then AddMinimapAtlas("minimap/dragonfly.xml")
end 
        if deerclops then AddMinimapAtlas("minimap/deerclops.xml")
end
        if leif then AddMinimapAtlas("minimap/leif.xml")
end
        if spiderqueen then AddMinimapAtlas("minimap/spiderqueen.xml")
end
        if leif_sparse then AddMinimapAtlas("minimap/leif_sparse.xml")
end

AddPrefabPostInit("moose", AddMap)
AddPrefabPostInit("bearger", AddMap)
AddPrefabPostInit("dragonfly", AddMap)
AddPrefabPostInit("deerclops", AddMap)
AddPrefabPostInit("leif", AddMap)
AddPrefabPostInit("spiderqueen", AddMap)
AddPrefabPostInit("leif_sparse", AddMap)

--AddMinimapAtlas("minimap/moose.xml")
--AddMinimapAtlas("minimap/bearger.xml")
--AddMinimapAtlas("minimap/dragonfly.xml")
--AddMinimapAtlas("minimap/deerclops.xml")
--AddMinimapAtlas("minimap/leif.xml")
--AddMinimapAtlas("minimap/spiderqueen.xml")
--AddMinimapAtlas("minimap/leif_sparse.xml")
